@font-face {
    font-family: 'Mona Sans';
    src: url('static/fonts/Mona-Sans.woff2') format('woff2 supports variations'),
    url('static/fonts/Mona-Sans.woff2') format('woff2-variations');
    font-weight: 200 900;
    font-stretch: 75% 125%;
}

:root {
    --accent-color: #456990;
    --accent-light-color: #5A83AF;
}

/* Firefox */
* {
    scrollbar-width: thin;
    scrollbar-color: #ffffff11 transparent;
}

/* Chrome, Edge and Safari */
*::-webkit-scrollbar {
    height: 10px;
    width: 10px;
}

*::-webkit-scrollbar-corner {
    background-color: transparent;
}

*::-webkit-scrollbar-track {
    border-radius: 0px;
    background-color: transparent;
}

*::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background-color: #ffffff11;
}

*::-webkit-scrollbar-thumb:hover {
    background-color: #ffffff16;
}

*::-webkit-scrollbar-thumb:active {
    background-color: #ffffff16;
}

html {
    font-family: 'Mona Sans', sans-serif;
    background-color: #121212;
    color: white;
}

body {
    margin: 0;
}

.flex-row {
    display: flex;
    flex-direction: row;
}

.flex-column {
    display: flex;
    flex-direction: column;
}

.fullscreen-div {
    width: 100vw;
    height: 100vh;
    padding: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.container {
    margin: 20px;
}

.left-column {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 50%;
    height: 100vh;
    position: sticky;
    padding: 20px;
    top: 0;
    border-right: 1px #333333 solid;
    box-sizing: border-box;
}

.right-column {
    display: flex;
    flex-direction: column;
    width: 50%;
    padding: 20px;
    box-sizing: border-box;
}

.conflict-form {
    row-gap: 15px;
    max-width: fit-content;
}

.home-form {
    display: flex;
    flex-direction: row;
    align-items: end;
    column-gap: 20px;
    row-gap: 15px;
}

@media(max-width: 768px) {
    .home-form {
        flex-direction: column;
        align-items: stretch;
    }
}

.query-title {
    /*font-size: 25px;*/
    /*font-weight: bold;*/
    margin: 0 0 -5px;
    /*padding-left: 20px;*/
    /*border-left: var(--accent-light-color) 5px solid;*/
}

.list-object {
    display: flex;
    flex-direction: column;
    row-gap: 20px;
    /*margin-bottom: 20px;*/
}

.list-option {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.list-option-title {
    display: inline-block;
    font-size: 17px;
    font-weight: bolder;
}

.list-option-artist {
    font-size: 12px;
    font-weight: lighter;
    color: gray;
}

.list-label {
    display: flex;
    flex-direction: row;
    align-items: center;
    column-gap: 20px;
    width: 650px;
    cursor: pointer;
}

.explicit-icon {
    color: gray;
    font-size: 85% !important;
    vertical-align: middle;
}

.msg-icon {
    width: 100px;
    margin-bottom: 15px;
}

.msg-title {
    font-size: 34px;
    font-weight: bolder;
}

.msg-info {
    max-width: 600px;
    text-align: center;
    line-height: 22.5px;
    font-weight: 300;
    color: gray;
}

.spotify-btn {
    background-color: var(--accent-color);
    color: white;
    padding: 10px 20px;
    border-radius: 40px;
    border: 0;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

.spotify-btn:hover {
    background-color: var(--accent-light-color);
}

input[type=radio] {
    margin: 0 15px 0 0;
    cursor: pointer;
}

input[type=file] {
    border: gray 1px solid;
    border-radius: 40px;
    padding: 7.5px;
    cursor: pointer;
}

input[type=file]::file-selector-button {
    border: 0;
    border-radius: 10px;
    color: white;
    background-color: var(--accent-color);
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

input[type=file]::file-selector-button:hover {
    background-color: var(--accent-light-color);
}

.footer {
    margin-top: auto;
    font-weight: 300;
    font-size: 1rem;
    text-align: center;
    width: max-content;
}

.white-link {
    color: white;
    border-bottom: 1px white solid;
    padding-bottom: 5px;
    text-decoration: none;
    transition: all 0.2s ease-in-out;
}

.gray-link {
    color: gray;
    border-bottom: 1px gray solid;
    padding-bottom: 5px;
    text-decoration: none;
    transition: all 0.2s ease-in-out;
}

.gray-link:hover {
    color: white;
    border-bottom: 1px white solid;
}

.step-image {
    width: 60%;
    border-radius: 10px;
    margin-top: 15px;
}

.spinner {
  width: 40px;
  height: 40px;

  position: relative;
  margin-top: auto;
}

.double-bounce1, .double-bounce2 {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: #333;
  opacity: 0.6;
  position: absolute;
  top: 0;
  left: 0;

  -webkit-animation: sk-bounce 2.0s infinite ease-in-out;
  animation: sk-bounce 2.0s infinite ease-in-out;
}

.double-bounce2 {
  -webkit-animation-delay: -1.0s;
  animation-delay: -1.0s;
}

@-webkit-keyframes sk-bounce {
  0%, 100% { -webkit-transform: scale(0.0) }
  50% { -webkit-transform: scale(1.0) }
}

@keyframes sk-bounce {
  0%, 100% {
    transform: scale(0.0);
    -webkit-transform: scale(0.0);
  } 50% {
    transform: scale(1.0);
    -webkit-transform: scale(1.0);
  }
}